;-------------------------------------------------------------------------------
; Hogyan írjunk játékot ZX Spectrumra...
; 1. Fejezet - Egyszerű szöveg és grafika
;-------------------------------------------------------------------------------
; Példaprogram 1.6
;-------------------------------------------------------------------------------
; Az alábbi kód átmásolja a Sinclair ROM betűkészletet a RAM-ba, közben félkövérré
; alakítva azt, majd beállítja a rendszerváltozót, hogy a memóriában lévő betűkész-
; letre mutasson.
;-------------------------------------------------------------------------------
; SjAsmPlus v1.07rc verzióval fordítva
;-------------------------------------------------------------------------------

	DEVICE ZXSPECTRUM48

; ide fordítjuk a kódot (32768)
	.org $8000

; címke az sjasmplus számára a kódhossz számításához
start:

	ld	hl, 15616	; ROM font
	ld	de, 60000	; a saját fontunk címe
	ld	bc, 768		; megváltoztatandó 8 sor * 96 karakter
font1	ld	a, (hl)		; bitkép A-ba
	rlca			; balra forgatás
	or	(hl)		; a két kép kombinációja
	ld	(de), a		; beírás az új fontba
	inc	hl		; következő bájt a régiből
	inc	de		; következő bájt az újból
	dec	bc		; számláló csökkentése
	ld	a, b		; magas bájt
	or	c		; kombinációja az alacsony bájttal
	jr	nz, font1	; ismétlés amíg bc=zero lesz
	ld	hl, 60000-256	; font mínusz 32*8
	ld	(23606), hl	; új font cím beírása
	ret

; címke az sjasmplus számára a kódhossz számításához
end:

; a lefordított bináris kódot elmenti
	.savebin "pelda_1_6.bin",start,end-start   
